Skip to main content
GET
/
v4
/
tags
/
{tag_id}
/
subscribers
List subscribers for a tag
curl --request GET \
  --url https://api.kit.com/v4/tags/{tag_id}/subscribers \
  --header 'X-Kit-Api-Key: <api-key>'
{
  "subscribers": [
    {
      "id": 1097,
      "first_name": null,
      "email_address": "subscriber613@kit.dev",
      "state": "active",
      "created_at": "2023-02-17T11:43:55Z",
      "tagged_at": "2023-02-17T11:43:55Z",
      "fields": {
        "category": "One"
      }
    },
    {
      "id": 1096,
      "first_name": null,
      "email_address": "subscriber612@kit.dev",
      "state": "active",
      "created_at": "2023-02-17T11:43:55Z",
      "tagged_at": "2023-02-17T11:43:55Z",
      "fields": {
        "category": null
      }
    },
    {
      "id": 1095,
      "first_name": null,
      "email_address": "subscriber611@kit.dev",
      "state": "active",
      "created_at": "2023-02-17T11:43:55Z",
      "tagged_at": "2023-02-17T11:43:55Z",
      "fields": {
        "category": null
      }
    }
  ],
  "pagination": {
    "has_previous_page": false,
    "has_next_page": false,
    "start_cursor": "WyIyMDIzLTAyLTE3VDExOjQzOjU1LjAwMFoiLDEzXQ==",
    "end_cursor": "WyIyMDIzLTAyLTE3VDExOjQzOjU1LjAwMFoiLDExXQ==",
    "per_page": 500
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.kit.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Kit-Api-Key
string
header
required

Authenticate API requests via an API Key

Path Parameters

tag_id
integer
required

Query Parameters

after
any | null

To fetch next page of results, use ?after=<end_cursor>

before
any | null

To fetch previous page of results, use ?before=<start_cursor>

created_after
string | null

Filter subscribers who have been created after this date (format yyyy-mm-dd)

created_before
string | null

Filter subscribers who have been created before this date (format yyyy-mm-dd)

include_total_count
boolean

Set to true to include the total_count in the response. This option can cause slow responses; if paging through results, request it only on the first page and reuse the value for subsequent pages.

per_page
any | null

Number of results per page. Default 500, maximum 1000.

status
enum<string>

Filter subscribers who have this status (active, inactive, bounced, complained, cancelled or all). Defaults to active.

Available options:
active,
inactive,
bounced,
complained,
cancelled,
all
tagged_after
string | null

Filter subscribers who have been tagged after this date (format yyyy-mm-dd)

tagged_before
string | null

Filter subscribers who have been tagged before this date (format yyyy-mm-dd)

Response

Returns a paginated list of subscribers for the specified tag

subscribers
object[]
required
pagination
object
required